Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. Mono.Unix.UnixFileSystemInfo Provides information and performs operations on files.

The class provides information about a file. It also allows basic file manipulation:

File creation with and .
File deletion with .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A containing the file to query.
  Creates a new instance containing information about the file .

  The argument is permitted to specify relative or absolute path information. Relative path information is interpreted as relative to the current working directory. To obtain the current working directory, see .

  It is valid to construct objects for files that do not exist or for directories. However, attempts to use the instance may generate s. Use to see if exists and to ensure that is a file.

  is .
  contains invalid characters; see .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixStream Creates or overwrites . A that provides write access to .

  If does not exist, it is created; if it does exist and it is not read-only, the contents are overwritten.

  This method is equivalent to ( | | | ) (the 0644 permission).

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket. []

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. [] A component of that must exist does not exist. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixStream `` A instance containing the file permissions the created file should have. Creates or overwrites with the specified file permissions. A that provides write access to .

  If does not exist, it is created; if it does exist and it is not read-only, the contents are overwritten.

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket. []

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. [] A component of that must exist does not exist. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  Mono.Unix.UnixStream `` A instance containing the file permissions the created file should have. Creates or overwrites with the specified file permissions. A that provides write access to .

  If does not exist, it is created; if it does exist and it is not read-only, the contents are overwritten.

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket. []

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. [] A component of that must exist does not exist. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixDirectoryInfo Gets a instance containing information about the directory that resides in. A instance containing information about the directory resides in.

  This is identical to ().

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the name of the directory that resides in. A containing the directory that resides in.

  This is equivalent to ().

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  Mono.Unix.UnixStream `` A value which controls how is opened (read/write/append/etc.). Opens with the specified access (read/write/etc.). A that provides access to .

  An attempt was made to open a descriptor with an illegal combination of , , and . []

  -or-

  was specified in . requires a file mode for file creation; use instead.

  or is specified but the underlying file system does not support locking. []

  -or-

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket.

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. []

  A component of that must exist does not exist. []

  -or-

  does not exist and is not set. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  was specified and the target is a symbolic link. []

  -or-

  and one of or is specified and the file is locked. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

  -or-

  and were specified and exists. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixStream `` A value that specifies whether a file is created if one does not exist, and determines whether the contents of existing files are retained or overwritten. Opens with the specified access (read/write/etc.). A that provides access to .

  This is equivalent to ( ()).

  An attempt was made to open a descriptor with an illegal combination of , , and . []

  -or-

  was specified in . requires a file mode for file creation; use instead.

  or is specified but the underlying file system does not support locking. []

  -or-

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket. []

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. []

  A component of that must exist does not exist. []

  -or-

  does not exist and is not set. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  was specified and the target is a symbolic link. []

  -or-

  and one of or is specified and the file is locked. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

  -or-

  and were specified and exists. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  Mono.Unix.UnixStream `` `` A value which controls how is opened (read/write/append/etc.). A instance containing the file permissions the created file should have. Opens with the specified access (read/write/etc.) and file permissions . A that provides access to .

  An attempt was made to open a descriptor with an illegal combination of , , and . []

  -or-

  was specified in . requires a file mode for file creation; use instead.

  or is specified but the underlying file system does not support locking. []

  -or-

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket. []

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. []

  A component of that must exist does not exist. []

  -or-

  does not exist and is not set. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  was specified and the target is a symbolic link. []

  -or-

  and one of or is specified and the file is locked. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

  -or-

  and were specified and exists. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixStream `` `` A value that specifies whether a file is created if one does not exist, and dtermines whether the contents of existing files are retained or overwritten. A value that specifies the operations that can be performed on the file. Opens with the specified and . A that provides access to .

  This is equivalent to ( (, )).

  An attempt was made to open a descriptor with an illegal combination of , , and . []

  -or-

  was specified in . requires a file mode for file creation; use instead.

  or is specified but the underlying file system does not support locking. []

  -or-

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket. []

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. []

  A component of that must exist does not exist. []

  -or-

  does not exist and is not set. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  was specified and the target is a symbolic link. []

  -or-

  and one of or is specified and the file is locked. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

  -or-

  and were specified and exists. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  Mono.Unix.UnixStream `` `` `` A value that specifies whether a file is created if one does not exist, and dtermines whether the contents of existing files are retained or overwritten. A value that specifies the operations that can be performed on the file. A instance containing the file permissions the created file should have. Opens with the specified and with file permissions . A that provides access to .

  This is equivalent to ( (, ), ).

  An attempt was made to open a descriptor with an illegal combination of , , and . []

  -or-

  was specified in . requires a file mode for file creation; use instead.

  or is specified but the underlying file system does not support locking. []

  -or-

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket. []

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. []

  A component of that must exist does not exist. []

  -or-

  does not exist and is not set. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  was specified and the target is a symbolic link. []

  -or-

  and one of or is specified and the file is locked. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

  -or-

  and were specified and exists. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixStream Opens for reading. A that provides read access to .

  This is equivalent to (, ).

  An attempt was made to open a descriptor with an illegal combination of , , and . []

  -or-

  was specified in . requires a file mode for file creation; use instead.

  or is specified but the underlying file system does not support locking. []

  -or-

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket. []

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. []

  A component of that must exist does not exist. []

  -or-

  does not exist and is not set. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  was specified and the target is a symbolic link. []

  -or-

  and one of or is specified and the file is locked. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

  -or-

  and were specified and exists. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixStream Opens for writing. A that provides write access to .

  This is equivalent to (, ).

  An attempt was made to open a descriptor with an illegal combination of , , and . []

  -or-

  was specified in . requires a file mode for file creation; use instead.

  or is specified but the underlying file system does not support locking. []

  -or-

  is a special file mounted through a file system that does not support access to it (e.g. NFS). []

  -or-

  An attempt was made to open a socket. []

  Search permission is denied for a component of the path . []

  -or-

  The required permissions (for reading and/or writing) are denied for the given flags. []

  -or-

  does not exist, and does not permit writing. []

  -or-

  is a directory. []

  A component of the path prefix of is not a directory. []

  A component of that must exist does not exist. []

  -or-

  does not exist and is not set. []

  resides on a read-only file system. []

  -or-

  is a character device or block device, and the device associated with this file does not exist. []

  -or-

  is a fifo, no process has it open for reading, and the arguments specify it is to be opened for writing. []

  -or-

  The directory cannot be extended because there is no space left on the file system containing the directory. []

  -or-

  There are no free inodes on the file system on which the file is being created. []

  -or-

  An I/O error occurred while making the directory entry or allocating the inode. []

  was too long. []

  Too many symbolic links were encountered in translating . []

  -or-

  The process has already reached its limit for open file descriptors. []

  -or-

  The system file table is full. []

  -or-

  was specified and the target is a symbolic link. []

  -or-

  and one of or is specified and the file is locked. []

  -or-

  The user's quota of inodes on the file system containing has been exhausted. []

  -or-

  cannot be extended because the user's quota of disk blocks on the file system containing this directory has been exhausted. []

  -or-

  is a pure procedure (shared text) file that is being executed and requests write access. []

  -or-

  and were specified and exists. []